<?php
namespace Drupal\varnishvanish;

class FormVarnishVanishForm extends FormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'form_varnishvanish_form';
  }

  public function buildForm(array $form, \Drupal\Core\Form\FormStateInterface $form_state) {
    $form['submit_button'] = [
      '#type' => 'submit',
      '#value' => t('Clear Vanish Cache!'),
      '#submit' => [
        'form_varnishvanish_form_submit'
        ],
    ];
    return $form;
  }

  public function validateForm(array &$form, \Drupal\Core\Form\FormStateInterface $form_state) {
  }

  public function submitForm(array &$form, \Drupal\Core\Form\FormStateInterface $form_state) {
    varnishvanish_clear_all();
  }

}
